function slowal_frames2selecional_preferencies(unified_frame, slowal_frames) {
  const unified_argument_2_selecional_preferencies = {}
  for (let i in unified_frame.slowal_frame_mapping) {
    const slowal_frame_mapping = unified_frame.slowal_frame_mapping[i];
    let slowal_frame = slowal_frames.find(o => o.id === slowal_frame_mapping.slowal_frame_id);
    for (let j in slowal_frame_mapping.slowal_frame_argument_mapping) {
      const slowal_frame_argument_mapping = slowal_frame_mapping.slowal_frame_argument_mapping[j];

      let slowal_frame_argument = slowal_frame.arguments.find(o => o.argument_id === slowal_frame_argument_mapping.slowal_frame_agrument_id);
      let unified_frame_argument = unified_frame.arguments.find(o => o.id === slowal_frame_argument_mapping.unified_frame_agrument_id);

      const unified_frame_argument_preferences = new Set(unified_frame_argument.preferences.map(preference => preference.str));

      let preferenceEntry = unified_argument_2_selecional_preferencies[slowal_frame_argument_mapping.unified_frame_agrument_id];
      if (preferenceEntry == null) {
        preferenceEntry = [];
        unified_argument_2_selecional_preferencies[slowal_frame_argument_mapping.unified_frame_agrument_id] = preferenceEntry
      }
      preferenceEntry.push.apply(preferenceEntry, slowal_frame_argument.preferences.filter(preference => !unified_frame_argument_preferences.has(preference.str)))
    }
  }
  return unified_argument_2_selecional_preferencies;
}

export {
  slowal_frames2selecional_preferencies
};
